0
$\begingroup$

Rosanswers logo

When i try to install the ar_track_alvar using sudo apt-get install ros-indigo-ar-track-alvar
I was getting the following error.

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package ros-indigo-ar-track-alvar

I also tried using synaptic tool which is alternative to apt-get install. But i was not able to find indigo related alvar packages image description

Can anyone please help me on this?


Originally posted by anilmullapudi on ROS Answers with karma: 75 on 2016-08-09

Post score: 0


Original comments

Comment by ahendrix on 2016-08-09:
ar_track_alvar is listed as released for Indigo, so that should work if you're using Indigo that was installed through apt on Ubuntu x86. Perhaps you're using a different OS or a different CPU?

Comment by anilmullapudi on 2016-08-09:
Here is my OS details

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.5 LTS
Release: 14.04
Codename: trusty

Comment by ahendrix on 2016-08-09:
The build status page and the arm build status page show that ar_track_alvar is built and stable for Ubuntu Trusty x86, amd64 and armhf architectures,

Comment by ahendrix on 2016-08-09:
Did you install ROS through apt or from source? Are your apt sources set up correctly?

Comment by ahendrix on 2016-08-09:
Your system reports that it's running Ubuntu 14.04 (Trusty), but the ROS packages listed are for Ubuntu 12.04 (Precise). Did you have a previous version of ROS installed? Did you upgrade from a previous version of Ubuntu?

Comment by anilmullapudi on 2016-08-09:
ROS was installed through apt-get
rosversion -d
indigo

Comment by anilmullapudi on 2016-08-09:
Thank you so much for your support, i re-installed the ros indigo keys. i was able to install the ar_track_alvar now.

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

I followed 1.2 and 1.3 from this link http://wiki.ros.org/indigo/Installation/Ubuntu and sudo apt-get update

above steps worked for me, now i was able to install


Originally posted by anilmullapudi with karma: 75 on 2016-08-09

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.